
QGIS Application - Bug report #20243

losing SVG symbol elevation during DXF export

2018-10-28 02:23 AM - Kepes Ádám

Status: Open

Priority: Normal

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28064

Description

qgis 2.18.3 loses expression-calculated sized SVG symbol's heights (fix-sized symbols are good),

Qgis 3.2.3 loses !!ALL!! SVG symbol elevations. 

This way QGIS dxf export converts their elevation to 0, making impossible of creating well-formatted 3D surveys, plans, drafts.

History

#1 - 2019-02-06 12:01 PM - Kepes Ádám

- Assignee set to Jürgen Fischer

Kepes Ádám wrote:

qgis 2.18.3 loses expression-calculated sized SVG symbol's heights (fix-sized symbols are good),

Qgis 3.2.3 loses !!ALL!! SVG symbol elevations. 

This way QGIS dxf export converts their elevation to 0, making impossible of creating well-formatted 3D surveys, plans, drafts.

There is no progress since in this case. Without being able to export symbols and text with correct heights, qgis dxf export is almost useless.

Is there a way somehow to financially patronate this defect fix in order to be corrected?

#2 - 2019-02-06 05:59 PM - Giovanni Manghi

Is there a way somehow to financially patronate this defect fix in order to be corrected?

https://www.qgis.org/en/site/forusers/commercial_support.html

#3 - 2019-02-06 06:20 PM - Kepes Ádám

Giovanni Manghi wrote:

Is there a way somehow to financially patronate this defect fix in order to be corrected?

https://www.qgis.org/en/site/forusers/commercial_support.html
I'm only an individual, who are struggling without this feature. I could only donate for it being fixed, can't make yearly thousand euro high donations. Isn't it

possible to donate for small defect fixes, project-orientally?

#4 - 2019-02-06 06:22 PM - Giovanni Manghi

Kepes Ádám wrote:

Giovanni Manghi wrote:

Is there a way somehow to financially patronate this defect fix in order to be corrected?

https://www.qgis.org/en/site/forusers/commercial_support.html

I'm only an individual, who are struggling without this feature. I could only donate for it being fixed, can't make yearly thousand euro high donations.

right, the link is not for donation, is to point you to a professional that can help you solve your issue. You can still make a donation of course, but usually this

funds are not targeted to solving any specific issue.

#5 - 2019-02-06 06:25 PM - Kepes Ádám

Giovanni Manghi wrote:

Kepes Ádám wrote:

Giovanni Manghi wrote:

Is there a way somehow to financially patronate this defect fix in order to be corrected?

https://www.qgis.org/en/site/forusers/commercial_support.html

I'm only an individual, who are struggling without this feature. I could only donate for it being fixed, can't make yearly thousand euro high

donations.

right, the link is not for donation, is to point you to a professional that can help you solve your issue. You can still make a donation of course, but

usually this funds are not targeted to solving any specific issue.

I understand, thank you. But how do i know who will be able to develope and repair this dxf function?

Could you change it to version 3.4 or 3.5 ? They are still affected too

#6 - 2019-02-06 07:37 PM - Jürgen Fischer

- Affected QGIS version changed from 3.2.3 to 3.5(master)
